Bug 652471 - Authentication module /lib64/security/pam_krb5.so is missing
Authentication module /lib64/security/pam_krb5.so is missing
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: spin-kickstarts (Show other bugs)
rawhide
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-11 18:11 EST by Tomas Dabašinskas
Modified: 2011-03-21 01:14 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-21 01:14:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda install screenshot (200.92 KB, image/png)
2010-11-11 20:33 EST, Tomas Dabašinskas
no flags Details

  None (edit)
Description Tomas Dabašinskas 2010-11-11 18:11:04 EST
Description of problem:
Getting an error when trying to select krb5 for pam auth

Version-Release number of selected component (if applicable):
14, 64bit

How reproducible:
Select network login during the install

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Authentication module /lib64/security/pam_krb5.so is missing

Expected results:
enable krb5 auth

Additional info:
After system was installed I tried following:
[root@dhcp-1-41 blogstatus]# authconfig --update --enablekrb5
authconfig: Authentication module /lib64/security/pam_krb5.so is missing. Authentication process might not work correctly.
[root@dhcp-1-41 blogstatus]# yum whatprovides /lib64/security/pam_krb5.so
Loaded plugins: langpacks, presto, refresh-packagekit
Adding en_US to language list
pam_krb5-2.3.11-2.fc14.x86_64 : A Pluggable Authentication Module for Kerberos 5
Repo        : fedora
Matched from:
Filename    : /lib64/security/pam_krb5.so



[root@dhcp-1-41 blogstatus]# yum install pam_krb5-2.3.11-2.fc14.x86_64
Loaded plugins: langpacks, presto, refresh-packagekit
Adding en_US to language list
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package pam_krb5.x86_64 0:2.3.11-2.fc14 set to be installed
--> Finished Dependency Resolution

Dependencies Resolved

===============================================================================================================================================================================================================
 Package                                          Arch                                           Version                                                  Repository                                      Size
===============================================================================================================================================================================================================
Installing:
 pam_krb5                                         x86_64                                         2.3.11-2.fc14                                            fedora                                         131 k

Transaction Summary
===============================================================================================================================================================================================================
Install       1 Package(s)

Total download size: 131 k
Installed size: 316 k
Is this ok [y/N]: y
Downloading Packages:
Setting up and reading Presto delta metadata
Processing delta metadata
Package(s) data still to download: 131 k
pam_krb5-2.3.11-2.fc14.x86_64.rpm                                                                                                                                                       | 131 kB     00:00     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : pam_krb5-2.3.11-2.fc14.x86_64                                                                                                                                                           1/1 

Installed:
  pam_krb5.x86_64 0:2.3.11-2.fc14                                                                                                                                                                              

Complete!
[root@dhcp-1-41 blogstatus]# authconfig --update --enablekrb5
[root@dhcp-1-41 blogstatus]# echo $?
0


Haven't actually restarted to test if that works, will do this now and update.
Comment 1 Tomas Dabašinskas 2010-11-11 20:33:06 EST
Created attachment 459889 [details]
anaconda install screenshot
Comment 2 Chris Lumens 2010-11-12 09:57:33 EST
pam_krb5 is a default package in the Base group.  What package selections did you make during installation?  Please attach /root/install.log to this bug report.
Comment 3 Tomas Dabašinskas 2010-11-14 17:17:08 EST
I have used live cd  Fedora-14-x86_64-Live-Desktop.iso I did not have an option to select packages, I just clicked install. After installation /root/ has only 1 file anaconda-ks.cfg
Comment 4 Chris Lumens 2010-11-15 10:16:41 EST
Then that package needs to be added to the livecd spin kickstart file.
Comment 5 Bruno Wolff III 2010-11-15 11:23:42 EST
pam_krb5 is removed in fedora-livecd-desktop.ks under the comment:
# Legacy cmdline things we don't want
It is not removed from fedora-live-desktop.
I am still not sure whether or not this was a bug. If the actual install isn't being blocked, and you need to add another package to gain some functionality not provided by the live image, I don't think that in itself is a bug.
On the other hand, if the package (and it's dependencies not already brought in) are small, this might not have been the best choice of packages to cut.
I am not sure if we are going to try to do a CD sized desktop spin or finally go to targeting 1GB USB devices.

Note You need to log in before you can comment on or make changes to this bug.